io.vertx.ext.consul

## Class AclToken

- java.lang.Object
- - io.vertx.ext.consul.AclToken

-     public class AclToken
      extends Object

  Holds properties of Acl token
  Author:
    Ruslan Sennov

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AclToken()` Default constructor
    `AclToken(AclToken token)` Copy constructor
    `AclToken(JsonObject token)` Constructor from JSON

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Get ID of token
    `String` | `getName()` Get name of token
    `String` | `getRules()` Get rules for token
    `AclTokenType` | `getType()` Get type of token
    `AclToken` | `setId(String id)` Set ID of token
    `AclToken` | `setName(String name)` Set name of token
    `AclToken` | `setRules(String rules)` Set rules for token
    `AclToken` | `setType(AclTokenType type)` Set type of token
    `JsonObject` | `toJson()` Convert to JSON

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AclToken

          public AclToken()

      Default constructor

    - #### AclToken

          public AclToken(AclToken token)

      Copy constructor
      Parameters:
        `token` - the one to copy

    - #### AclToken

          public AclToken(JsonObject token)

      Constructor from JSON
      Parameters:
        `token` - the JSON

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON

    - #### getId

          public String getId()

      Get ID of token
      Returns:
        ID of token

    - #### setId

          public AclToken setId(String id)

      Set ID of token
      Parameters:
        `id` - ID of token
      Returns:
        reference to this, for fluency

    - #### getName

          public String getName()

      Get name of token
      Returns:
        name of token

    - #### setName

          public AclToken setName(String name)

      Set name of token
      Parameters:
        `name` - name of token
      Returns:
        reference to this, for fluency

    - #### getType

          public AclTokenType getType()

      Get type of token
      Returns:
        type of token

    - #### setType

          public AclToken setType(AclTokenType type)

      Set type of token
      Parameters:
        `type` - type of token
      Returns:
        reference to this, for fluency

    - #### getRules

          public String getRules()

      Get rules for token
      Returns:
        rules for token

    - #### setRules

          public AclToken setRules(String rules)

      Set rules for token
      Parameters:
        `rules` - rules for token
      Returns:
        reference to this, for fluency

Copyright © 2018 Eclipse. All rights reserved.